Bug 1568590 - upgrading cairo-1.15.12-1.fc29.x86_64 cairo-gobject-1.15.12-1.fc29.x86_64 hangs boot before login window
Summary: upgrading cairo-1.15.12-1.fc29.x86_64 cairo-gobject-1.15.12-1.fc29.x86_64 ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: 29
Hardware: x86_64
OS: Other
unspecified
urgent
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 20:53 UTC by contactopublico57
Modified: 2019-11-27 23:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:08:37 UTC
Type: Bug


Attachments (Terms of Use)

Description contactopublico57 2018-04-17 20:53:18 UTC
Description of problem:
upgrading Rawhide 29 packages cairo-1.15.12-1.fc29.x86_64   cairo-gobject-1.15.12-1.fc29.x86_64  hangs boot before login window

Version-Release number of selected component (if applicable):
cairo-1.15.12-1.fc29.x86_64
cairo-gobject-1.15.12-1.fc29.x86_64
How reproducible:
upgrading to cairo-gobject-1.15.12-1.fc29.x86_64 cairo-gobject-1.15.12-1.fc29.x86_64


Steps to Reproduce:
1.dnf console upgrade to cairo-gobject-1.15.12-1.fc29.x86_64
2.dnf console upgrade to cairo-gobject-1.15.12-1.fc29.x86_64
3.

Actual results:
boot failure before login window

Expected results:
boot to login window

Additional info:
mate desktop

sudo dnf upgrade --exclude "cairo cairo-gobject" excludes upgrade and resolves boot issue.

Comment 1 contactopublico57 2018-04-24 18:30:57 UTC
updated Apr. 24, 2018

Fedora radhide 29 repo file versions revised as follows:

cairo-1.15.12-2.fc29.x86_64
cairo-gobject-1.15.12-2.fc29.x86_64

Boot failure after wpa supplicant loads, before lightdm 1.25.2 login manager appears.  mate-desktop version is 1.20.1

Comment 2 Jan Kurik 2018-08-14 10:25:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 contactopublico57 2018-09-03 02:34:38 UTC
The prooblem with undefined symbol persists in rawhide 30 and hangs initialization of lightdm login manager.

bug:1623581

Description of problem: dnf upgrade causes failure of lightdm login manager to initialize after reboot

Version-Release number of selected component (if applicable):
cairo-1.15.12-3.fc29.x86_64.rpm 
cairo-gobject-1.15.12-3.fc29.x86_64.rpm

How reproducible: execute dnf update of specified components

Steps to Reproduce:
1.sudo dnf update
2.update cairo/cairo-goobject to previously specified versions
3.login manager lightdm fails to initialize

Actual results:boot hangs before lighdm initializes.

Expected results: lightdm login manager presents login windows

Additional info:
Rawhide 30
lightdm-1.26.0-2.fc29
mate-desktop-1.20.2-2.fc29

N.B. seat0.greeter.log:

/usr/sbin/lightdm-gtk-greeter: symbol lookup error: /lib64/libcairo.so.2: undefined symbol: FT_Done_MM_Var

Comment 4 Matthias Clasen 2019-07-29 21:33:25 UTC
Looks like you need a newer freetype. That is where this symbol comes from

Comment 5 Ben Cotton 2019-10-31 19:00:02 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-11-27 23:08:37 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.